---
schema_version: "1"
id: 015e7fb889bf31d673d375ffac73564c72e99bb26eb606f1c581215ef737d83d
title: Get List Views for an Object
collection: legacydeveloper
version: current
locale: en-us
portal_url: https://docs.salesforce.com/legacydeveloper/current/en-us/uiapi/ui_api_resources_lists_object_get.md
canonical_url: https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_resources_lists_object_get.htm
source_site: developer.salesforce.com
content_type: documentation
content_hash: 0ad2df6dd12820d733795c6a6d86101169a0e35ae1a833393c1284875f22451a
description: Get list views associated with an object.
---
# Get List Views for an Object

Get list views associated with an object.

Resource

/ui-api/list-info/${objectApiName}

- objectApiName—A [supported](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_get_started_supported_objects.htm#ui_api_get_started_supported_objects "User Interface API supports all custom objects and external objects and many standard objects.") object, such as Account.

Available version

61.0

HTTP methods

GET

Example

This example gets all the list views associated with accounts.

GET /services/data/v68.0/ui-api/list-info/Account

This example gets the most recently used list views associated with accounts using the recentListsOnly request parameter.

GET /services/data/v68.0/ui-api/list-info/Account?recentListsOnly=true

Request parameters for GET

| Parameter Name | Type | Description | Required or Optional | Available Version |
| --- | --- | --- | --- | --- |
| pageSize | Integer | Number of list records viewed at one time. The default value is 20. Value can be 1–2000. | Optional | 61.0 |
| pageToken | String | Token that represents the page offset. To indicate where the page starts, use this value with the pageSize parameter. The maximum offset is 2000 and the default is 0. | Optional | 61.0 |
| q | String | Search term to filter the results. Wildcards are supported. | Optional | 61.0 |
| recentListsOnly | Boolean | Indicates whether to get recent lists only (true) or not (false). Default is false. | Optional | 61.0 |

Response body for GET

[List Info Summary Collection](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_responses_list_info_summary_collection.htm "List info summary collection.")